summaryrefslogtreecommitdiffstats
path: root/misc/dwdiff/dwdiff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/dwdiff/dwdiff.SlackBuild')
-rw-r--r--misc/dwdiff/dwdiff.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/misc/dwdiff/dwdiff.SlackBuild b/misc/dwdiff/dwdiff.SlackBuild
new file mode 100644
index 0000000000..a1bd6fd9c9
--- /dev/null
+++ b/misc/dwdiff/dwdiff.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for dwdiff
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=dwdiff
+VERSION=1.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+# This is one messed up makefile
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr --mandir='$(prefix)/usr/man'
+make LINGUAS="${NLS:=""}" prefix=$PKG/usr
+make LINGUAS="${NLS:=""}" prefix=$PKG/usr install
+mv $PKG/usr/share/doc $PKG/usr
+if [ -z "$NLS" ]; then # share/ will be empty
+ rmdir $PKG/usr/share
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz; rm $i; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz